
 m_simpleTV.User.CDS.SvrTable = nil

 local path = m_simpleTV.MainScriptDir .. 'user\\tvplaylists\\misc\\masscan\\'
 local file  = m_simpleTV.MainScriptDir .. 'user\\tvplaylists\\misc\\masscan\\cds.conf'

 local fhandle = io.open (file)
 if fhandle == nil then m_simpleTV.OSD.ShowMessage_UTF8('CDS scan error - config file not found',255,5) return end
 fhandle:close()

 local shell = os.getenv('COMSPEC')
 if shell==nil then return end
 shell = m_simpleTV.Common.string_toUTF8(shell)
 if shell==nil then return end
 local processid = m_simpleTV.Common.Execute (shell, '/C cd /d "' .. path .. '" &masscan.exe -c "' .. file ..'"' ,nil,1)
 if processid == nil then m_simpleTV.OSD.ShowMessage_UTF8('Masscan error',255,5) return end
 m_simpleTV.OSD.ShowMessage_UTF8('CDS scan completed',0xFF00,10)